GET https://emailoctopus.com/api/1.6/campaigns/:campaignId/reports/sent
Get information on the contacts who the campaign was sent to.
| Parameters |
|---|
| api_key (string) |
| limit (integer) |
| 200 (success) returns |
|---|
| data (array of structs) |
| contact (struct) | Details of the contact: |
| id (string) | The identifier of the contact. |
| email_address (string) | The email address of the contact. |
| fields (object) | An object containing key/value pairs of field values, using the field's tag as the key. |
| tags (array) | An array of tags associated with the contact. |
| status (string) | The status of the contact: SUBSCRIBED, UNSUBSCRIBED or PENDING. |
| deleted (boolean) | If the contact has since been deleted. If true, all other fields apart from id will be NULL. |
| created_at (string) | When the contact was created, in ISO 8601 format. |
| last_updated_at (string) | When the contact was last updated, in ISO 8601 format. |
| paging (struct/array) | If there is more data available, an object is returned in the following format: |
| next (string) | A link for the immediate next page of results. |
If there is no more data to page, an empty array is returned. |
| Non-200 (error) returns |
|---|
| Details of the error: |
| code (string) | The error code. |
| message (string) | A description of the error. |
| Method-specific error codes |
|---|
| CAMPAIGN_NOT_FOUND |
| CAMPAIGN_NOT_SENT |
| API-wide error codes |
|---|
| INVALID_PARAMETERS |
| API_KEY_INVALID |
| UNAUTHORISED |
| NOT_FOUND |
| UNKNOWN |
| Example request |
|---|
| /api/1.6/campaigns/00000000-0000-0000-0000-000000000000/reports/sent?api_key=00000000-0000-0000-0000-000000000000 |
| Example response |
|---|
js<br>{<br> "data": [<br> {<br> "contact": {<br> "id": "00000000-0000-0000-0000-000000000000",<br> "email_address": "john.doe@example.com",<br> "fields": {<br> "FirstName": "John",<br> "LastName": "Doe",<br> "Birthday": "2000-12-20"<br> },<br> "tags": [<br> "vip"<br> ],<br> "status": "SUBSCRIBED",<br> "created_at": "2026-06-14T00:00:00+00:00",<br> "last_updated_at": "2026-06-15T08:25:20+00:00"<br> },<br> "occurred_at": "2026-06-14T08:25:20+00:00"<br> },<br> {<br> "contact": {<br> "id": "00000000-0000-0000-0000-000000000001",<br> "email_address": "jane.doe@example.com",<br> "fields": {<br> "FirstName": "Jane",<br> "LastName": "Doe",<br> "Birthday": "2000-12-20"<br> },<br> "tags": [<br> "vip"<br> ],<br> "status": "SUBSCRIBED",<br> "created_at": "2026-06-14T00:00:00+00:00"<br> },<br> "occurred_at": "2026-06-14T08:25:20+00:00"<br> }<br> ],<br> "paging": []<br>}<br> |
| Code sample cURL copy |
|---|
<br> curl -X GET \<br> https://emailoctopus.com/api/1.6/campaigns/00000000-0000-0000-0000-000000000000/reports/sent?api_key=00000000-0000-0000-0000-000000000000<br> |